Notify owners when an OAuth app changes state
Closed, ResolvedPublic

Description

During the process discussion, Dan elaborated on the admins emailing the app owners if they revoke the app due to performance or other issues. I realized that at least sounds like a massive pain when explaining it to the admins, and would be relatively simple to add.


Version: unspecified
Severity: enhancement

Details

Reference
bz60528

Related Objects

bzimport raised the priority of this task from to High.
bzimport set Reference to bz60528.
bzimport added a subscriber: Unknown Object (MLST).
csteipp created this task.Jan 28 2014, 2:40 PM
Tgr added a subscriber: Tgr.Jun 22 2015, 11:10 PM

I suppose this should be an Echo notification.

Tgr renamed this task from Automatically email owners when app changes state to Notify owners when an OAuthapp changes state.Jun 22 2015, 11:10 PM
Tgr added a project: Notifications.
Tgr set Security to None.
Deskana removed a subscriber: Deskana.Jun 23 2015, 4:51 PM
Legoktm moved this task from Backlog to Needs code on the Notifications board.Jul 6 2015, 7:21 AM

Change 231989 had a related patch set uploaded (by Gergő Tisza):
Send notifications about app management events

https://gerrit.wikimedia.org/r/231989

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2015, 6:13 AM
dpatrick renamed this task from Notify owners when an OAuthapp changes state to Notify owners when an OAuth app changes state.Jul 15 2016, 2:46 AM

Change 231989 merged by Dpatrick:
Send notifications about app management events

https://gerrit.wikimedia.org/r/231989

Change 303333 had a related patch set uploaded (by Dpatrick):
Enable notifications for OAuth

https://gerrit.wikimedia.org/r/303333

Catrope added a subscriber: Catrope.Aug 6 2016, 1:26 AM

So this adds the "OAuth development" category to the notification preferences for all users on all wikis. There's probably no good way to only show the preference for OAuth admins and hide it for everyone else, but are there wikis where this pref is relevant that are not mediawiki.org?

Tgr added a comment.Aug 6 2016, 2:07 AM

OAuth development is relevant to anyone who owns an OAuth app, and there is no good way to determine who those might be. We could maybe hide it and make it impossible to disable. The admin notifications category is only visible to admins (in hindsight maybe it was a bit pointless to split the two). Good point about the wikis though.

Change 303392 had a related patch set uploaded (by Gergő Tisza):
Don't show notification categories if they won't be used on the current wiki

https://gerrit.wikimedia.org/r/303392

Change 303392 merged by jenkins-bot:
Don't show notification categories if they won't be used on the current wiki

https://gerrit.wikimedia.org/r/303392

Change 303333 merged by jenkins-bot:
Enable notifications for OAuth

https://gerrit.wikimedia.org/r/303333

Change 303715 had a related patch set uploaded (by Catrope):
Follow-up 398cb5368: add missing global $wgOAuthGroupsToNotify

https://gerrit.wikimedia.org/r/303715

Change 303715 merged by jenkins-bot:
Follow-up 398cb5368: add missing global $wgOAuthGroupsToNotify

https://gerrit.wikimedia.org/r/303715

Stashbot added a subscriber: Stashbot.

Mentioned in SAL [2016-08-08T23:34:17Z] <catrope@tin> Synchronized wmf-config/CommonSettings.php: Enable OAuth notifications in config (no-op until Wednesday) (T61172) (T62528) (duration: 00m 50s)

Tgr closed this task as Resolved.Oct 1 2016, 2:06 AM
Tgr claimed this task.

Will that new notification be documented?

Tgr added a comment.Oct 6 2016, 1:52 AM

Will that new notification be documented?

Done.

Thanks @Tgr!
Is that notification an alert or a notice?